3

On a fresh Lubuntu 13.04 installation, I installed Qt5 from the official ubuntu repositories. But this installation of Qt5 can't find the QtQuick module. What am I missing?

qmlscene test.qml

test.qml:

import QtQuick 2.0

Rectangle {
}

Output:

file:///home/.../test.qml:1 module "QtQuick" is not installed

I already double-checked that the following relevant packages are installed:

$ dpkg --get-selections | grep libqt5
libqt53d5:amd64                 install
libqt5clucene5:amd64                install
libqt5concurrent5:amd64             install
libqt5core5:amd64               install
libqt5dbus5:amd64               install
libqt5declarative5:amd64            install
libqt5designer5:amd64               install
libqt5designercomponents5:amd64         install
libqt5gui5:amd64                install
libqt5help5:amd64               install
libqt5location5:amd64               install
libqt5network5:amd64                install
libqt5opengl5:amd64             install
libqt5opengl5-dev               install
libqt5printsupport5:amd64           install
libqt5qml5:amd64                install
libqt5quick5:amd64              install
libqt5quickparticles5:amd64         install
libqt5quicktest5:amd64              install
libqt5script5:amd64             install
libqt5sensors5:amd64                install
libqt5sql5:amd64                install
libqt5sql5-mysql:amd64              install
libqt5sql5-sqlite:amd64             install
libqt5svg5:amd64                install
libqt5test5:amd64               install
libqt5v8-5:amd64                install
libqt5webkit5:amd64             install
libqt5widgets5:amd64                install
libqt5xml5:amd64                install
4

You need qtdeclarative5-qtquick2-plugin installed. If you just install ubuntu-sdk it will install pretty much everything you need.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.